summaryrefslogtreecommitdiff
path: root/scripts/deploy.sh
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xscripts/deploy.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/scripts/deploy.sh b/scripts/deploy.sh
new file mode 100755
index 0000000..de63078
--- /dev/null
+++ b/scripts/deploy.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+set -xeu
+
+home_dir="${BASH_SOURCE[0]%/*}/.."
+cd "$home_dir"
+
+make build/static/student.js
+gsed -i 's;wss://localhost.runxiyu.org:8080/ws;wss://dev.runxiyu.org/ws;g' build/static/student.js
+
+mv dist/cca dist/ccae
+GOOS=linux GOARCH=amd64 make dist/cca
+
+rm build/static/student.js
+
+rsync -v dist/cca root@runxiyu.org:/srv/dev/cca
+
+ssh root@runxiyu.org pkill cca